/*
_______________\\AZIFY OPTIONS//__________________
• Written By: Azi Angelo / YT Azi Angelo
• All code in these shader is under MIT License!!
*/

/*---------------- HOW TO DO ---------------------
∆∆∆ How to modify >>>>>>>>>>

remove "//" before "#define" to activate
write "//" before "#define" to deactivate

∆∆∆ Example >>>>>>>

#define TONEMAP (features is activate)
//#define TONEMAP (features is deactivate)

What is this?

>TOGGLE< is turn off or on.

>TYPE< is a number to put but can't be turn off or on.

>VALUE< is a unlimited number that you can put ex. 1.0 or 10.0 , but also can't be turn off or on.

________________________________________________*/

/*_________________"AZIFY SET"________________*/


// TOGGLE - SUNSET AND SUNRISE REFLECTION ON WATER
#define AZIFY_SUNSET_AND_SUNRISE_REFLECTION


// TOGGLE - FOG
#define AZIFY_FOG


// TYPE - FOG
// (1) == DEFAULT
// (2) == Warm
#define FOG_TYPE 1


// TYPE - TONEMAP, A lot of tonemap for you (-_-)
// (1) == AZIFY TONEMAP >> DEFAULT
// (2) == AZIFY 2 TONEMAP
// (3) == Aces >> Good combination of warm tone color
// (4) == Aces 2
// (5) == Reinhard
// (6) == Bedrock Rtx
// (7) == AcesFilm
#define AZIFY_TONEMAP 1


// TYPE - TONE COLOR / WORLD COLOR
// (0) == OFF
// (1) == DEFAULT
// (2) == WARM
// (3) == COLD
#define TONEMAPPING_COLOR_TYPE 1


// TOGGLE - GLOW ORES
#define AZIFY_GLOWING_ORES


// VALUE - GLOWING ORES BRIGHTNES
// Warning Dont Turn this Off !!
// 4.0 is BETTER !!
#define GLOW_BRIGHT 4.0


// TOGGLE - Shadow
//#define Off_Shadow


// TYPE - SHADOW QUALITY
// (1) == DECREASED
// (2) == SMOOTH - Recommemded
#define SHADOW_TYPE 2


// TOGGLE & TYPE - CHUNK ANIMATION
// (1) == Up
// (2) == Down
#define ChunkAnimation 1



/*_______________"WAVING EFFECTS"_________________*/


// TOGGLE - PLANTS WAVE
#define AZIFY_PLANT_WAVE


// TOGGLE - WATER WAVE
#define AZIFY_WatWav


// TOGGLE - UNDERWATER WAVING
#define Wave_Un_Water


// TOGGLE - NETHER WAVING
#define Nether_Wave


/*_______________"EXTRA FEATURES"_________________*/


// TOGGLE & TYPE - LIGHTING COLOR
// (1) == DEFAULT
// (2) == My Sister Suggestion
// (3) == WHITE
#define AZIFY_LIGHTING 1


// TOGGLE - Nether TONEMAP
//#define Nether_Color


// TOGGLE - END TONEMAP
#define End_Color


// TOGGLE - LEAVES BRIGHTNES
// Make leaves more brighter
#define AZIFY_LEAVES_BRIGHTNES




// • AZIFY SHADER
// • Version = 1.3.834
// • Made on Philiphines (March,10,2022)
// • Last Change on (Friday,March,17,2022)
// • Under MIT License!!
/*________________________________________________*/